package de.hft.stuttgart.citydoctor2.gui.tree;

import de.hft.stuttgart.citydoctor2.check.CheckError;
import javafx.scene.control.cell.TextFieldTreeCell;

public class ErrorCell extends TextFieldTreeCell<CheckError> {

	@Override
	public void updateItem(CheckError item, boolean empty) {
		super.updateItem(item, empty);

		if (empty || item == null) {
			setText(null);
			setGraphic(null);
		} else {
			setText(item.getErrorId().toString());
		}
	}

}
